org.springframework.ldap.core.support

## Class DelegatingBaseLdapPathContextSourceSupport

- java.lang.Object
- - org.springframework.ldap.core.support.DelegatingBaseLdapPathContextSourceSupport

- All Implemented Interfaces:
    BaseLdapPathSource
  Direct Known Subclasses:
    PooledContextSource, PoolingContextSource, TransactionAwareContextSourceProxy

      public abstract class DelegatingBaseLdapPathContextSourceSupport
      extends Object
      implements BaseLdapPathSource

  Support class to provide `BaseLdapPathSource` functionality to ContextSource instances that act as proxies.
  Since:
    2.0
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingBaseLdapPathContextSourceSupport()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LdapName` | `getBaseLdapName()` Get the base LDAP path as a `LdapName`.
    `DistinguishedName` | `getBaseLdapPath()` Get the base LDAP path as a `DistinguishedName`.
    `String` | `getBaseLdapPathAsString()` Get the base LDAP path as a String.
    `protected abstract ContextSource` | `getTarget()` Get the target ContextSource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingBaseLdapPathContextSourceSupport

          public DelegatingBaseLdapPathContextSourceSupport()

  - ### Method Detail

    - #### getTarget

          protected abstract ContextSource getTarget()

      Get the target ContextSource.
      Returns:
        the target ContextSource.

    - #### getBaseLdapName

          public final LdapName getBaseLdapName()

      Description copied from interface: `BaseLdapPathSource`
      Get the base LDAP path as a `LdapName`.
      Specified by:
        `getBaseLdapName` in interface `BaseLdapPathSource`
      Returns:
        the base LDAP path as a `LdapName`. The path will be empty if no base path is specified.

    - #### getBaseLdapPath

          public final DistinguishedName getBaseLdapPath()

      Description copied from interface: `BaseLdapPathSource`
      Get the base LDAP path as a `DistinguishedName`.
      Specified by:
        `getBaseLdapPath` in interface `BaseLdapPathSource`
      Returns:
        the base LDAP path as a `DistinguishedName`. The path will be empty if no base path is specified.

    - #### getBaseLdapPathAsString

          public final String getBaseLdapPathAsString()

      Description copied from interface: `BaseLdapPathSource`
      Get the base LDAP path as a String.
      Specified by:
        `getBaseLdapPathAsString` in interface `BaseLdapPathSource`
      Returns:
        the base LDAP path as a An empty String will be returned if no base path is specified.